Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class MarkerFormatInfo

    java.lang.Object
      jet.report.xls.MarkerFormatInfo

    public class MarkerFormatInfo

extends java.lang.Object

Field Summary
`static short` | `AUTOCOLOR`
`static short` | `CIRCLE`
`static short` | `DEVIATION`
`static short` | `DIAMOND`
`static short` | `DOWJONES`
`static short` | `NOBACK`
`static short` | `NOFORE`
`static short` | `NONE`
`static short` | `PLUSSIGN`
`static short` | `SQUARE`
`static short` | `STAR`
`static short` | `TRIANGLE`
`static short` | `X`

Constructor Summary
`MarkerFormatInfo()` Constructs a MarkerFormatInfo record
`MarkerFormatInfo(int rgbFore, int rgbBack, short type, short grbit, int size, GlobalWorksheet gws)` Constructs a MarkerFormatInfo record and sets its fields appropriately.

Method Summary
`int` | `getBackColor()` Get the background color of maker
`int` | `getForeColor()` Get the foreground color of maker
`int` | `getSize()` Get the size of marker(points)
`short` | `getType()` get the type of marker
`boolean` | `isAutoColor()` get whether to use automatic color
`boolean` | `isNoback()` get whether background = none
`boolean` | `isNofore()` get whether foreground = none
`void` | `setAutoColor(boolean b)` set whether to use automatic color
`void` | `setBackColor(int color, GlobalWorksheet gws)` Set the background color of maker
`void` | `setForeColor(int color, GlobalWorksheet gws)` Set the foreground color of maker
`void` | `setNoback(boolean b)` set whether background = none
`void` | `setNofore(boolean b)` set whether foreground = none
`void` | `setSize(int size)` Set the size of marker(points)
`void` | `setType(byte type)` set the type of marker

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final short NONE

See Also:
  Constant Field Values

### SQUARE

    public static final short SQUARE

See Also:
  Constant Field Values

### DIAMOND

    public static final short DIAMOND

See Also:
  Constant Field Values

### TRIANGLE

    public static final short TRIANGLE

See Also:
  Constant Field Values

### X

    public static final short X

See Also:
  Constant Field Values

### STAR

    public static final short STAR

See Also:
  Constant Field Values

### DOWJONES

    public static final short DOWJONES

See Also:
  Constant Field Values

### DEVIATION

    public static final short DEVIATION

See Also:
  Constant Field Values

### CIRCLE

    public static final short CIRCLE

See Also:
  Constant Field Values

### PLUSSIGN

    public static final short PLUSSIGN

See Also:
  Constant Field Values

### AUTOCOLOR

    public static final short AUTOCOLOR

See Also:
  Constant Field Values

### NOBACK

    public static final short NOBACK

See Also:
  Constant Field Values

### NOFORE

    public static final short NOFORE

See Also:
  Constant Field Values

Constructor Detail

### MarkerFormatInfo

    public MarkerFormatInfo()

  Constructs a MarkerFormatInfo record

### MarkerFormatInfo

    public MarkerFormatInfo(int rgbFore,
                            int rgbBack,
                            short type,
                            short grbit,
                            int size,
                            GlobalWorksheet gws)

  Constructs a MarkerFormatInfo record and sets its fields appropriately.

  Parameters:
    `rgbFore` - Foreground color:RGB value
    `rgbBack` - Background color:RGB value
    `type` - type of marker(0--9)
    `grbit` - format flags AUTOCOLOR, NOBACK, NOFORE or combine of them
    `size` - size of line markers(unit is point)
    `gws` - instance of GlobalWorksheet

Method Detail

### setType

    public void setType(byte type)

  set the type of marker

  Parameters:
    `type` - is the type of marker
  See Also:
    `NONE`, `SQUARE`, `DIAMOND`, `TRIANGLE`, `X`, `STAR`, `DOWJONES`, `DEVIATION`, `CIRCLE`, `PLUSSIGN`

### getType

    public short getType()

  get the type of marker

  Returns:
    the type of marker
  See Also:
    `NONE`, `SQUARE`, `DIAMOND`, `TRIANGLE`, `X`, `STAR`, `DOWJONES`, `DEVIATION`, `CIRCLE`, `PLUSSIGN`

### setBackColor

    public void setBackColor(int color,
                             GlobalWorksheet gws)

  Set the background color of maker

  Parameters:
    `color` - background color of maker

### getBackColor

    public int getBackColor()

  Get the background color of maker

  Returns:
    the background color of maker

### setForeColor

    public void setForeColor(int color,
                             GlobalWorksheet gws)

  Set the foreground color of maker

  Parameters:
    `color` - foreground color of maker

### getForeColor

    public int getForeColor()

  Get the foreground color of maker

  Returns:
    the foreground color of maker

### isAutoColor

    public boolean isAutoColor()

  get whether to use automatic color

  Returns:
    whether to use automatic color or not

### setAutoColor

    public void setAutoColor(boolean b)

  set whether to use automatic color

  Parameters:
    `b` - - use automatic color or not

### isNoback

    public boolean isNoback()

  get whether background = none

  Returns:
    whether background = none or not

### setNoback

    public void setNoback(boolean b)

  set whether background = none

  Parameters:
    `b` - - whether background = none or not

### isNofore

    public boolean isNofore()

  get whether foreground = none

  Returns:
    whether foreground = none or not

### setNofore

    public void setNofore(boolean b)

  set whether foreground = none

  Parameters:
    `b` - - whether foreground = none or not

### getSize

    public int getSize()

  Get the size of marker(points)

  Returns:
    the size of maker

### setSize

    public void setSize(int size)

  Set the size of marker(points)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD